#!/bin/bash

if [ -n "$2" ] ;then
    echo "如果是输入的日期按照取输入日期"
    do_date=$2
else
    echo "====没有输入数据的日期，取当前时间的前一天===="
    do_date=`date -d yesterday +"%Y-%m-%d"`
fi

url=$MYSQL_URL
username=$MYSQL_USER
password=$MYSQL_PASSWORD

hdfs_to_mysql() {
  sqoop export -D mapred.job.queue.name=hive \
    --connect $1 \
    --username $2 \
    --password $3 \
    --table $4 \
    -m 1 \
    --hcatalog-database saga_dw \
    --hcatalog-table $5 \
    --hcatalog-partition-keys dt \
    --hcatalog-partition-values $do_date \
    --fields-terminated-by '\001' \
    --input-null-string '\\N' \
    --input-null-non-string '\\N'
}


app_energy(){
  mysql_to_hdfs_lzo $url $username $password mysql_tableName hive_tableName
}

case $1 in
"table")
  app_energy
  ;;
esac

